CentBrowser Forum
Netflix Streaming Error Code: "M1721-1331" - Printable Version

+- CentBrowser Forum (https://www.centbrowser.net/en)
+-- Forum: Product Related (https://www.centbrowser.net/en/forumdisplay.php?fid=1)
+--- Forum: Bugs & Suggestions (https://www.centbrowser.net/en/forumdisplay.php?fid=4)
+--- Thread: Netflix Streaming Error Code: "M1721-1331" (/showthread.php?tid=5534)



Netflix Streaming Error Code: "M1721-1331" - rdiver - 05-13-2023

With the latest stable version of Centbrowser v5.0.1002.295, any streaming content in NETFLIX fails with the error code indicating:

Quote:"Whoops, Something Went Wrong… Unexpected Error
There was an Unexpected Error. Please Reload the Page and Try Again.
Error code: M7121-1331-P7"


Exactly illustrated as the screenshot below!

Having studied the issue all over the Internet, the error is commonly seen while using this service on a web browser that is not supportive of Netflix.
I am desperate to attempt any possible workarounds such as:

  • Launch safe mode
  • Re-install Cent Browser (the latest version)
  • Cleaning all cache and cookies on Centbrowser
  • Resetting Centbrowser configurations
  • Disable all browser extensions
  • Launch Netflix in Incognito mode (clean settings without extention)
  • Update Widevine Content Decryption Module*
  • Enable "Protected Content IDs" as default behaviour for all sites in Centbrowser settings# 
  • For other browsers (Edge/Chrome), NETFLIX streaming works flawlessly without error interuption

* Based on this article I followed solution #2 to update the said module which is v4.10.2557.0 (also confirmed in the file directory: AppData\Local\CentBrowser\User Data\WidevineCDm). Full permission for system access is also granted. Once pressed the "updated" button it flashes itself then again reverted as "Status - Component not updated".

# See another screenshot below for the preferred settings

Technical reference: https://windowsreport.com/widevine-content-decryption-module-chrome/

I believe the problem of the module causes a hindrance in the smooth streaming of Netflix HTML5 videos. Based on the updated CDM implementation timeline, the old CDM versions will be deprecated 
in Google by December 6 in 2022. At this moment I wonder if NETFLIX is no longer compatible to the latest version of Widevine module of the current build of Centbrowser. 

Source: https://bitmovin.com/google-deprecating-widevine-drm-cdm/


Does everyone with NETFLIX has the similar issue? Developers or administrators please verify the problem or I have to switch other browser for playback. 


[Image: maxresdefault.jpg]

[Image: protected-content-id-settings.png]


RE: Netflix Streaming Error Code: "M1721-1331" - CentBrowser - 05-13-2023

Sorry but it is heard that Netflix requires Chromium core above 109.
You may use Chrome/Edge to stream Netflix before we upgrade.